Package org.kie.api.builder

## Enum KieScanner.Status

- java.lang.Object
- - java.lang.Enum<KieScanner.Status>
  - - org.kie.api.builder.KieScanner.Status

- All Implemented Interfaces:
    `Serializable`, `Comparable<KieScanner.Status>`
  Enclosing interface:
    KieScanner

      public static enum KieScanner.Status
      extends Enum<KieScanner.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RUNNING` |
    `SCANNING` |
    `SHUTDOWN` |
    `STARTING` |
    `STOPPED` |
    `UPDATING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KieScanner.Status` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KieScanner.Status[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTING

          public static final KieScanner.Status STARTING

    - #### SCANNING

          public static final KieScanner.Status SCANNING

    - #### UPDATING

          public static final KieScanner.Status UPDATING

    - #### RUNNING

          public static final KieScanner.Status RUNNING

    - #### STOPPED

          public static final KieScanner.Status STOPPED

    - #### SHUTDOWN

          public static final KieScanner.Status SHUTDOWN

  - ### Method Detail

    - #### values

          public static KieScanner.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KieScanner.Status c : KieScanner.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KieScanner.Status valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null